<?php

declare(strict_types=1);

namespace App\Entity\Booking;

// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use ApiPlatform\Metadata\ApiResource;
use Doctrine\ORM\Mapping as ORM;

/**
 * Périodes de vacances récurrentes d'une Organization.
 */
// #[Auditable]
#[ApiResource(operations: [])]
#[ORM\Entity]
class OrganizationHolidayRecur extends AbstractBookingRecur
{
    #[ORM\ManyToOne(inversedBy: 'eventRecur')]
    private ?OrganizationHoliday $event = null;

    public function getEvent(): ?OrganizationHoliday
    {
        return $this->event;
    }

    public function setEvent(?OrganizationHoliday $event): self
    {
        $this->event = $event;

        return $this;
    }
}
